AuthException (JASPIC 3.0 API Documentation - Apache Tomcat 10.1.57)
Description: declaration: package: jakarta.security.auth.message, class: AuthException

# Class AuthException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
javax.security.auth.login.LoginException
jakarta.security.auth.message.AuthException

All Implemented Interfaces:
  `Serializable`

public class AuthException extends LoginException
Exception thrown when a JASPIC authentication operation fails. This exception is used by authentication modules and contexts to signal errors during the authentication process.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthException()`
  Constructs an AuthException with no detail message.
  `AuthException(String msg)`
  Constructs an AuthException with the specified detail message.
  `AuthException(String msg, Throwable cause)`
  Construct an instance of AuthException.
  `AuthException(Throwable cause)`
  Construct an instance of AuthException.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AuthException

    public AuthException()
    Constructs an AuthException with no detail message.

  - ### AuthException

    public AuthException(String msg)
    Constructs an AuthException with the specified detail message.
    Parameters:
      `msg` - the detail message

  - ### AuthException

    public AuthException(String msg, Throwable cause)
    Construct an instance of AuthException.
    Parameters:
      `msg` - Exception message
      `cause` - The cause of the exception
    Since:
      Authentication 3.0

  - ### AuthException

    public AuthException(Throwable cause)
    Construct an instance of AuthException.
    Parameters:
      `cause` - The cause of the exception
    Since:
      Authentication 3.0